Bug 878652 - Enchancement: Replication Information in gluster volume info
Enchancement: Replication Information in gluster volume info
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
pre-release
x86_64 All
medium Severity unspecified
: ---
: ---
Assigned To: Kaushal
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-20 16:17 EST by Dean Bruhn
Modified: 2013-02-05 23:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-05 23:53:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dean Bruhn 2012-11-20 16:17:32 EST
Description of problem:
When using "gluster volume info" at the command line it outputs something similar to this. 

 
Volume Name: VolName
Type: Distributed-Replicate
Volume ID: 8ff49136-5c3c-43fe-ae96-d1f1d172cc2e
Status: Started
Number of Bricks: 3 x 2 = 6
Transport-type: tcp
Bricks:
Brick1: Server1Name:/path/to/Storage
Brick2: Server2Name:/path/to/Storage
Brick3: Server3Name:/path/to/Storage
Brick4: Server4Name:/path/to/Storage
Brick5: Server5Name:/path/to/Storage
Brick6: Server6name:/path/to/Storage

This information does not clearly indicate the replications layout. 

Version-Release number of selected component (if applicable):
3.3.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
It would be nice to show which servers are replicating to which in this same screen. Maybe adjust the output to show something like. 

Volume Name: VolName
Type: Distributed-Replicate
Volume ID: 8ff49136-5c3c-43fe-ae96-d1f1d172cc2e
Status: Started
Number of Bricks: 6
Number of Replication Groups: 3
Number of Replications Per Group: 2
Transport-type: tcp
Bricks:
Brick1(ReplicationGroup1): Server1Name:/path/to/Storage
Brick2(ReplicationGroup1): Server2Name:/path/to/Storage
Brick3(ReplicationGroup2): Server3Name:/path/to/Storage
Brick4(ReplicationGroup2): Server4Name:/path/to/Storage
Brick5(ReplicationGroup3): Server5Name:/path/to/Storage
Brick6(ReplicationGroup3): Server6name:/path/to/Storage





Additional info:

This would make it much easier to see which servers are replicating to which while troubleshooting.
Comment 1 Amar Tumballi 2013-01-15 03:21:45 EST
try lsgvt, a community effort to show glusterfs info in a better way... that addresses the problem.

https://github.com/fvzwieten/lsgvt

Hope this is enough as an tool to address this enhancement? If yes, will go ahead and close this bug, with a mention on this tool in our docs)
Comment 2 Amar Tumballi 2013-02-05 23:53:21 EST
Closing the bug with WORKSFORME considering comment #1, please reopen if you find that not sufficient.

Note You need to log in before you can comment on or make changes to this bug.